The VC-1/WMV3 decoders depend on ENABLE_MSMPEG4_DECODER.
authoravcoder <ffmpeg@gmail.com>
Thu, 25 Dec 2008 13:26:18 +0000 (13:26 +0000)
committerDiego Biurrun <diego@biurrun.de>
Thu, 25 Dec 2008 13:26:18 +0000 (13:26 +0000)
patch by avcoder, ffmpeg gmail com

Originally committed as revision 16308 to svn://svn.ffmpeg.org/ffmpeg/trunk

libavcodec/msmpeg4.h

index 3226015..1442959 100644 (file)
@@ -52,7 +52,9 @@ int ff_wmv2_decode_mb(MpegEncContext *s, DCTELEM block[6][64]);
 #define ENABLE_MSMPEG4_DECODER (ENABLE_MSMPEG4V1_DECODER || \
                                 ENABLE_MSMPEG4V2_DECODER || \
                                 ENABLE_MSMPEG4V3_DECODER || \
-                                ENABLE_WMV2_DECODER)
+                                ENABLE_WMV2_DECODER      || \
+                                ENABLE_VC1_DECODER       || \
+                                ENABLE_WMV3_DECODER)
 #define ENABLE_MSMPEG4_ENCODER (ENABLE_MSMPEG4V1_ENCODER || \
                                 ENABLE_MSMPEG4V2_ENCODER || \
                                 ENABLE_MSMPEG4V3_ENCODER || \